/* Wejp's ArmaSpy v0.0.3                                   */
/* Copyright (c) 2006 Johannes Heimansberg (wejp.mooo.com) */
/* Released under the GNU General Public License Version 2 */

#define MAX_PLAYERS 20

struct _ArmaServer {
	char server_name[64];
	int  players_online;
	char player_name[MAX_PLAYERS][64];
};

typedef struct _ArmaServer ArmaServer;

int   armaserver_get_players_online(ArmaServer *server);
char *armaserver_get_server_name(ArmaServer *server);
char *armaserver_get_player_name(ArmaServer *server, int player);
int   armaserver_add_player(ArmaServer *server, char *name);
void  armaserver_init(ArmaServer *server, char *server_name);
